### Method

# GLib BookmarkFile get_visited_date_time

since: 2.66

#### Declaration

    GDateTime*
    g_bookmark_file_get_visited_date_time (
      GBookmarkFile* bookmark,
      const char* uri,
      GError** error
    )

#### Description

Gets the time the bookmark for `uri` was last visited.

In the event the URI cannot be found, `NULL` is returned and `error` is set to `G_BOOKMARK_FILE_ERROR_URI_NOT_FOUND`.

Available since: 2.66

#### Parameters

`uri`

  Type: `const char*`

  A valid URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GDateTime`

A `GDateTime`.

The returned data is owned by the instance.